<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
>
    
    <gri:menu name="XDStarClient" homeURL="/XDStarClient/">
		<f:facet name="logo">
			<h:graphicImage value="/img/gazelle.png" />
		</f:facet>
		
		
		<gri:menuItem rendered="#{s:hasRole('admin_role')}">
			<h:outputText value="#{messages['net.ihe.gazelle.xdstar.XDSMetadata']}" />
			
			<gri:menuItem  url="/XDStarClient/admin/listUsages.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.AffinityDomainTransactions']}"/>
			</gri:menuItem>
			
			<gri:menuItem  url="/XDStarClient/admin/listClassifications.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.Classifications']}"/>
			</gri:menuItem>
			
			<gri:menuItem  url="/XDStarClient/admin/listExternalIdentifiers.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ExternalIdentifiers']}"/>
			</gri:menuItem>
			
			<gri:menuItem  url="/XDStarClient/admin/listExtrinsicObjects.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ExtrinsicObjects']}"/>
			</gri:menuItem>
			
			<gri:menuItem  url="/XDStarClient/admin/listRegistryPackages.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.RegistryPackages']}"/>
			</gri:menuItem>
			
			<gri:menuItem  url="/XDStarClient/admin/listAdhocQuerys.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.AdhocQueries']}"/>
			</gri:menuItem>
			
			<gri:menuItem  url="/XDStarClient/admin/listRegistryObjectList.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.RegistryObjectList']}"/>
			</gri:menuItem>
			
			<gri:menuItem  url="/XDStarClient/admin/ValidatorPackClass.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ValidatorPackAssociation']}"/>
			</gri:menuItem>
			
			<gri:menuItem  url="/XDStarClient/testing/browseUnitTests.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.IntegrationTests']}"/>
			</gri:menuItem>
			
		</gri:menuItem>
		
		<gri:menuItem  url="/XDStarClient/configuration/common/configurations.seam">
			<h:outputText value="#{messages['net.ihe.gazelle.xdstar.SUTConfigurations']}"/>
		</gri:menuItem>
		
		<gri:menuItem>
			<h:outputText value="#{messages['net.ihe.gazelle.xdstar.SIMUInitiators']}" />
			
			<gri:menuItem rendered="#{applicationConfiguration.getBooleanValue('display_epSOS_menu')}">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.EpSOS']}"/>
				
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.EpSOS1']}"/>
					<gri:menuItem  url="/XDStarClient/provide_register/xdrsrcSimulator.seam?affinityDomainKeyword=epSOS&amp;transactionKeyword=DispensationService:initialize()">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.DispensationServiceinitialize']}()"/>
					</gri:menuItem>
					
					<gri:menuItem  url="/XDStarClient/discard/discard.seam?affinityDomainKeyword=epSOS&amp;transactionKeyword=DispensationService:Discard()">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.DispensationServiceDiscard']}()"/>
					</gri:menuItem>
					
					<gri:menuItem  url="/XDStarClient/provide_register/xdrsrcSimulator.seam?affinityDomainKeyword=epSOS&amp;transactionKeyword=ConsentService:put()">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ConsentServiceput']}()"/>
					</gri:menuItem>
					
					<gri:menuItem  url="/XDStarClient/discard/discard.seam?affinityDomainKeyword=epSOS&amp;transactionKeyword=ConsentService:Discard()">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ConsentServiceDiscard']}()"/>
					</gri:menuItem>
					
					<gri:menuItem  url="/XDStarClient/xca/epsos1Sim.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.EpSOS1OrderServicePatientService']}"/>
					</gri:menuItem>
					
					<gri:menuItem  url="/XDStarClient/tools/xcpdRequest.seam?affinityDomainKeyword=epSOS&amp;transactionKeyword=IdentificationService">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.IdentificationService']}"/>
					</gri:menuItem>
					
				</gri:menuItem>
				
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.EpSOS2']}"/>
					<gri:menuItem  url="/XDStarClient/xca/epsos2.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.FetchDocumentService']}"/>
					</gri:menuItem>
					
					<gri:menuItem  url="/XDStarClient/epsos2/epsos2xdr.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ProvideDataService']}"/>
					</gri:menuItem>
					
					<gri:menuItem  url="/XDStarClient/epsos2/epsos2xcpd.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.PatientIdentificationAndAuthenticationService']}"/>
					</gri:menuItem>
					
					<gri:menuItem  url="/XDStarClient/epsos2/ncpanalyzer.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.NCPAAnalyzer']}"/>
					</gri:menuItem>
					
				</gri:menuItem>
				
				<gri:menuItem  url="/XDStarClient/xdsb-epsos/xdsbepsos.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI41XDSbEpSOSAffinity']}"/>
				</gri:menuItem>
				
			</gri:menuItem>
			
			<gri:menuItem  rendered="#{applicationConfiguration.getBooleanValue('display_IHE_ITI_menu')}">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.IHEITI']}"/>
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.XDSb']}"/>
					<gri:menuItem  url="/XDStarClient/provide_register/xdrsrcSimulator.seam?affinityDomainKeyword=IHE_XDS-b&amp;transactionKeyword=ITI-41">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI41ProvideAndRegisterSetb']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/rsq/rsqSimulator.seam?affinityDomainKeyword=IHE_XDS-b&amp;transactionKeyword=ITI-18">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI18RegistryStoredQuery']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/rds/rdsSimulator.seam?affinityDomainKeyword=IHE_XDS-b&amp;transactionKeyword=ITI-43">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI43RetrieveDocumentSet']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/odd/iti61.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI61RegisterOnDemandDocumentEntry']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/discard/discard.seam?affinityDomainKeyword=IHE_XDS-b&amp;transactionKeyword=ITI-62">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI62DeleteDocumentSet']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/update_document/update_document_set.seam?affinityDomainKeyword=IHE_XDS-b&amp;transactionKeyword=ITI-57">
						<h:outputText value="#{messages['ITI-57 [Update Document Set]']}"/>
					</gri:menuItem>
				</gri:menuItem>
				
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.XCA']}"/>
					<gri:menuItem  url="/XDStarClient/xca/xcaQuery.seam?affinityDomainKeyword=IHE_XCA&amp;transactionKeyword=ITI-38">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI38CrossGatewayQuery']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/xca/xcaRetrieve.seam?affinityDomainKeyword=IHE_XCA&amp;transactionKeyword=ITI-39">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI39CrossGatewayRetrieve']}"/>
					</gri:menuItem>
				</gri:menuItem>
				
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.XDR']}"/>
					<gri:menuItem  url="/XDStarClient/provide_register/xdrsrcSimulator.seam?affinityDomainKeyword=IHE_XDR&amp;transactionKeyword=ITI-41">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI41ProvideAndRegisterSetb']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/discard/discard.seam?affinityDomainKeyword=IHE_XDR-b&amp;transactionKeyword=ITI-62">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI62DeleteDocumentSet']}"/>
					</gri:menuItem>
				</gri:menuItem>
				
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.XDWXDSb']}"/>
					<gri:menuItem  url="/XDStarClient/provide_register/xdrsrcSimulator.seam?affinityDomainKeyword=IHE_XDW_XDSb&amp;transactionKeyword=ITI-41">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI41ProvideAndRegisterSetb']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/rsq/rsqSimulator.seam?affinityDomainKeyword=IHE_XDW_XDSb&amp;transactionKeyword=ITI-18">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI18RegistryStoredQuery']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/rds/rdsSimulator.seam?affinityDomainKeyword=IHE_XDW_XDSb&amp;transactionKeyword=ITI-43">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI43RetrieveDocumentSet']}"/>
					</gri:menuItem>
				</gri:menuItem>
				
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.XCF']}"/>
					<gri:menuItem  url="/XDStarClient/xcftool/xgf.seam?affinityDomainKeyword=IHE_XCF&amp;transactionKeyword=ITI-63">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI63CrossGatewayFetch']}"/>
					</gri:menuItem>
				</gri:menuItem>
				
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.MPQ']}"/>
					<gri:menuItem  url="/XDStarClient/rsq/rsqSimulator.seam?affinityDomainKeyword=IHE_MPQ&amp;transactionKeyword=ITI-51">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI51MultiPatientStoredQuery']}"/>
					</gri:menuItem>
				</gri:menuItem>
				
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.DSUB']}"/>
					<gri:menuItem  url="/XDStarClient/dsub/subscribe.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI52DocumentMetadaSubscribeSubscribeRequest']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/dsub/unsubscribe.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI52DocumentMetadaSubscribeUnSubscribeRequest']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/dsub/notify.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI53DocumentMetadaNotify']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/dsub/publish.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI54DocumentMetadaPublish']}"/>
					</gri:menuItem>
				</gri:menuItem>
				
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.XCPD']}"/>
					<gri:menuItem  url="/XDStarClient/tools/xcpdRequest.seam?affinityDomainKeyword=IHE_ITI&amp;transactionKeyword=ITI-55">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI55CrossGatewayPatientDiscovery']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/tools/xcpdRequest.seam?affinityDomainKeyword=IHE_ITI&amp;transactionKeyword=ITI-56">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI56PatientLocationQuery']}"/>
					</gri:menuItem>
				</gri:menuItem>

				<gri:menuItem>
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.common.RMU']}"/>
                    <gri:menuItem
                            url="/XDStarClient/update_document/rmu.seam?affinityDomainKeyword=IHE_RMU&amp;transactionKeyword=ITI-92">
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.common.ITI92RestrictedUpdateDocumentSet']}"/>
					</gri:menuItem>
				</gri:menuItem>
				
				<gri:menuItem  url="/XDStarClient/ct/consistentTime.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.CT']}"/>
				</gri:menuItem>
				
			</gri:menuItem>
			
			<gri:menuItem  rendered="#{applicationConfiguration.getBooleanValue('display_IHE_PHARM_menu')}">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.IHEPHARM']}"/>
				<gri:menuItem  url="/XDStarClient/pharma/pharm1.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.PHARM1QueryPharmacyDocuments']}"/>
				</gri:menuItem>
			</gri:menuItem>
			
			<gri:menuItem  rendered="#{applicationConfiguration.getBooleanValue('display_IHE_RAD_menu')}">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.IHERAD']}"/>
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.XDSIb']}"/>
					<gri:menuItem  url="/XDStarClient/xdsi/xdsi68.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.RAD68ProvideAndRegisterImagingDocumentSetMTOMXOP']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/rad69/rad69.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.RAD69RetrieveImagingDocumentSet']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/xdsi/rad55.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.RAD55WADORetrieve']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/rad69/rad69Val.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ValidateXDSIbRetrieveImagingDocumentSetRequest']}"/>
					</gri:menuItem>
				</gri:menuItem>
				
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.XCAI']}"/>
					<gri:menuItem  url="/XDStarClient/xcai/xcai69_1.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.RAD69ImagingDocumentConsumerInitiatingImagingGat']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/xcai/xcai69_2.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.RAD69RespondingImagingGatewayImagingDocumentSour']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/xcai/xcai75.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.RAD75CrossGatewayRetrieveImagingDocumentSet']}"/>
					</gri:menuItem>
				</gri:menuItem>
			</gri:menuItem>
			
			<gri:menuItem  rendered="#{applicationConfiguration.getBooleanValue('display_KSA_menu')}">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.KSA']}"/>
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.XDSb']}"/>
					<gri:menuItem  url="/XDStarClient/provide_register/xdrsrcSimulator.seam?affinityDomainKeyword=KSA_XDSb&amp;transactionKeyword=ITI-41">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI41ProvideAndRegisterSetb']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/rsq/rsqSimulator.seam?affinityDomainKeyword=KSA_XDSb&amp;transactionKeyword=ITI-18">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI18RegistryStoredQuery']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/rds/rdsSimulator.seam?affinityDomainKeyword=KSA_XDSb&amp;transactionKeyword=ITI-43">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI43RetrieveDocumentSet']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/discard/discard.seam?affinityDomainKeyword=KSA_XDSb&amp;transactionKeyword=ITI-62">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI62DeleteDocumentSet']}"/>
					</gri:menuItem>
				</gri:menuItem>
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.CLR']}"/>
					<gri:menuItem  url="/XDStarClient/provide_register/xdrsrcSimulator.seam?affinityDomainKeyword=KSA_CLR&amp;transactionKeyword=ITI-41">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI41ProvideAndRegisterSetb']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/rsq/rsqSimulator.seam?affinityDomainKeyword=KSA_CLR&amp;transactionKeyword=ITI-18">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI18RegistryStoredQuery']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/rds/rdsSimulator.seam?affinityDomainKeyword=KSA_CLR&amp;transactionKeyword=ITI-43">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI43RetrieveDocumentSet']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/discard/discard.seam?affinityDomainKeyword=KSA_CLR&amp;transactionKeyword=ITI-62">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI62DeleteDocumentSet']}"/>
					</gri:menuItem>
				</gri:menuItem>
				
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.CLO']}"/>
					<gri:menuItem  url="/XDStarClient/provide_register/xdrsrcSimulator.seam?affinityDomainKeyword=KSA_CLO&amp;transactionKeyword=ITI-41">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI41ProvideAndRegisterSetb']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/rsq/rsqSimulator.seam?affinityDomainKeyword=KSA_CLO&amp;transactionKeyword=ITI-18">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI18RegistryStoredQuery']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/rds/rdsSimulator.seam?affinityDomainKeyword=KSA_CLO&amp;transactionKeyword=ITI-43">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI43RetrieveDocumentSet']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/discard/discard.seam?affinityDomainKeyword=KSA_CLO&amp;transactionKeyword=ITI-62">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI62DeleteDocumentSet']}"/>
					</gri:menuItem>
				</gri:menuItem>
				
				<gri:menuItem>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.SIR']}"/>
					<gri:menuItem  url="/XDStarClient/xdsi/xdsi68.seam?affinityDomainKeyword=KSA_SIR&amp;transactionKeyword=RAD-68">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.RAD68ProvideAndRegisterImagingDocumentSetMTOMXOP']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/rad69/rad69.seam?affinityDomainKeyword=KSA_SIR&amp;transactionKeyword=RAD-69">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.RAD69RetrieveImagingDocumentSet']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/xdsi/rad55.seam?affinityDomainKeyword=KSA_SIR&amp;transactionKeyword=RAD-55">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.RAD55WADORetrieve']}"/>
					</gri:menuItem>
					<gri:menuItem  url="/XDStarClient/rad69/rad69Val.seam">
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ValidateXDSIbRetrieveImagingDocumentSetRequest']}"/>
					</gri:menuItem>
				</gri:menuItem>
			</gri:menuItem>
			
		</gri:menuItem>
		
		<gri:menuItem>
			<h:outputText value="#{messages['net.ihe.gazelle.xdstar.SIMUResponders']}" />
			
			<gri:menuItem  url="/XDStarClient/discard/responder.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI62DeleteDocumentSet_2']}"/>
			</gri:menuItem>
			
			<gri:menuItem  url="/XDStarClient/dsub/recipient.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ITI53DocumentMetadaRecipientEndpoint']}"/>
			</gri:menuItem>
		</gri:menuItem>
		
		<gri:menuItem rendered="#{applicationConfiguration.getBooleanValue('display_epSOS_menu')}">
			<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ManagePatients']}" />
			
			<gri:menuItem  url="/XDStarClient/patients/listPatients.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ListPatients']}"/>
			</gri:menuItem>
			
			<gri:menuItem  url="/XDStarClient/patients/savePatient.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.AddPatient']}"/>
			</gri:menuItem>
			
			<gri:menuItem  url="/XDStarClient/patients/patientGeneration.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.GeneratePatients']}"/>
			</gri:menuItem>
		</gri:menuItem>
		
		<gri:menuItem rendered="#{applicationConfiguration.getBooleanValue('display_KSA_menu') and s:hasRole('admin_role')}">
			<h:outputText value="#{messages['net.ihe.gazelle.xdstar.KSATools']}" />
			
			<gri:menuItem url="/XDStarClient/ksa/importClones.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ImportXDSTOOLS2KSAEndpoint']}"/>
			</gri:menuItem>
		</gri:menuItem>
		
		<gri:menuItem>
			<h:outputText value="#{messages['net.ihe.gazelle.xdstar.XDSDocumentation']}" />
			
			<gri:menuItem>
				<h:outputLink
					value="#{applicationConfiguration.getValueOfVariable('application_url')}/indexXDS.html" target="_blank">
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.XDSContentDocumentation']}"/>
				</h:outputLink>
			</gri:menuItem>
			
			<gri:menuItem url="/XDStarClient/docum/templates/listTemplates.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.XDSTemplatesDocumentation']}"/>
			</gri:menuItem>
			
			<gri:menuItem url="/XDStarClient/docum/classes/listXDSClasses.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.XDSClassesDocumentation']}"/>
			</gri:menuItem>
			
			<gri:menuItem url="/XDStarClient/docum/classes/listDSUBClasses.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.DSUBClassesDocumentation']}"/>
			</gri:menuItem>
			
			<gri:menuItem url="/XDStarClient/docum/constraints/constraints.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ConstraintsSearch']}"/>
			</gri:menuItem>
		</gri:menuItem>
		
		<gri:menuItem>
			<h:outputText value="#{messages['xdr.menu.messages']}" />
			
			<gri:menuItem url="/XDStarClient/messages/allMessages.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.SimulatorAsInitiator']}"/>
			</gri:menuItem>
			
			<gri:menuItem url="/XDStarClient/messages/allRespondingMessages.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.SimulatorAsResponder']}"/>
			</gri:menuItem>
			
			<gri:menuItem url="/XDStarClient/ksa/allRespondingMessages.seam" rendered="#{applicationConfiguration.getBooleanValue('display_KSA_menu')}">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.RegistredXDSIbTransactionsForKSA']}"/>
			</gri:menuItem>
			
			<gri:menuItem url="/XDStarClient/testplan/listTestPlanInstances.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.TestPlanResults']}"/>
			</gri:menuItem>
			
		</gri:menuItem>
		
			
		
		<f:facet name="right">
		
			<gri:menuItem rendered="#{s:hasRole('admin_role')}">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.Administration']}"/>
				
				<gri:menuItem icon="gzl-icon-gears"  url="/XDStarClient/administration/configure.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ApplicationConfiguration']}"/>
				</gri:menuItem>
				
				<gri:menuItem icon="gzl-icon-gears"  url="/XDStarClient/admin/configuration/xcpdConfiguration.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.XCPDConfiguration']}"/>
				</gri:menuItem>
				
				<gri:menuItem icon="gzl-icon-files-o"  url="/XDStarClient/configuration/tt/transactionTypes.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.TransactionsTypes']}"/>
				</gri:menuItem>
				
				<gri:menuItem icon="gzl-icon-files-o"  url="/XDStarClient/admin/homeCommunity/HomeCommunityList.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.HommeCommunityIdList']}"/>
				</gri:menuItem>
				
				<gri:menuItem icon="gzl-icon-files-o"  url="/XDStarClient/configuration/type/confTypes.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ConfigurationsTypesList']}"/>
				</gri:menuItem>
				
				<gri:menuItem icon="gzl-icon-files-o"  url="/XDStarClient/testplan/listTestPlans.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.TestPlansDefinition']}"/>
				</gri:menuItem>
				
				<gri:menuItem icon="gzl-icon-files-o"  url="/XDStarClient/testplan/listTransactionTemplates.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.TransactionTemplate']}"/>
				</gri:menuItem>
				
				<gri:menuItem icon="gzl-icon-files-o"  url="/XDStarClient/timer/timers.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.CheckConfigurationScheduler']}"/>
				</gri:menuItem>
				
				<gri:menuItem icon="gzl-icon-files-o"  url="/XDStarClient/docum/upload/uploadConstraints.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ConstraintsAdmin']}"/>
				</gri:menuItem>
				
				<gri:menuItem icon="gzl-icon-files-o"  url="/XDStarClient/administration/usageStatistics.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ValidationStatistics']}"/>
				</gri:menuItem>
				
			</gri:menuItem>

			<ui:include src="/layout/_login_menu.xhtml"/>
		</f:facet>
		
	</gri:menu>
</ui:composition>
